#
# Name:          makefile
#
# Description:   Makefile for the readqueue
#
#
# The name of the compiler to use
CC=gcc -g
#The default compiler flags to use
#CFLAGS=-I.  -DUNIX -DDIAGNOSE
CFLAGS=-I.  -DUNIX 
#
CFILES=readqueue.c
OBJS=readqueue.o
#
# The libraries to include
LDLIBS=-mt -lc -lnsl -ldl -lmqm -lmqmcs -lmqmzse

# The rule for converting .c objects to .o objects
#.c.o:
#   ${cc} $(CFLAGS) -c -o $@ $<
#   cc -I  -c -o readqueue.c

# The first object in the makefile is the default
# object to build.
# All of the objects in this makefile are components of readqueue.
all: readqueue
# The mainline routine
#readqueue.o:  readqueue.c readqueuedef.h
#   $(CC) $(CFLAGS) -c -xCC -Xt readqueue.c
#
# Build the objects into an executable program
readqueue: $(OBJS)
	$(CC) -o readqueue readqueue.o $(LDLIBS)
#
readqueue.o:  readqueue.c 
	$(CC) $(CFLAGS) -c readqueue.c
#


